# SFont.h File Reference

`#include <SDL.h>`

## Data Structures
struct | SFont_Font
## Functions
SFont_Font * | SFont_InitFont (SDL_Surface *Font)
void | SFont_FreeFont (SFont_Font *Font)
void | SFont_Write (SDL_Surface *Surface, const SFont_Font *Font, int x, int y, const char *text)
int | SFont_TextWidth (const SFont_Font *Font, const char *text)
int | SFont_TextHeight (const SFont_Font *Font)
void | SFont_WriteCenter (SDL_Surface *Surface, const SFont_Font *Font, int y, const char *text)

## Function Documentation

SFont_Font* SFont_InitFont | ( | SDL_Surface * | Font | ) |

References SFont_Font::CharPos, GetPixel(), SFont_Font::MaxPos, and SFont_Font::Surface.

Referenced by main(), and Rendu_Texte_SFont().

void SFont_FreeFont | ( | SFont_Font * | Font | ) |

References SFont_Font::Surface.

Referenced by main(), and Rendu_Texte_SFont().

void SFont_Write | ( | SDL_Surface * | Surface,
|  | const SFont_Font * | Font,
|  | int | x,
|  | int | y,
|  | const char * | text |
| ) |  |  |

References SFont_Font::CharPos, SFont_Font::MaxPos, and SFont_Font::Surface.

Referenced by Dessiner_ecran_principal(), Ecrire(), Ecrire_commentaire(), Fenetre_choix(), Rendu_Texte_SFont(), Select(), and SFont_WriteCenter().

int SFont_TextWidth | ( | const SFont_Font * | Font,
|  | const char * | text |
| ) |  |  |

References SFont_Font::CharPos, and SFont_Font::MaxPos.

Referenced by Rendu_Texte_SFont(), and SFont_WriteCenter().

int SFont_TextHeight | ( | const SFont_Font * | Font | ) |

References SFont_Font::Surface.

Referenced by Rendu_Texte_SFont().

void SFont_WriteCenter | ( | SDL_Surface * | Surface,
|  | const SFont_Font * | Font,
|  | int | y,
|  | const char * | text |
| ) |  |  |

References SFont_TextWidth(), and SFont_Write().